#include <iostream>
#include <math.h>
#include <cstdio>
#include <vector>


using namespace std;

int main()
{
	freopen("LADDER.IN", "r", stdin);
	int t, n, k, i, j, s, a, max;
	scanf("%d", &t);
	for(i=0; i<t; i++)
	{
		cin >> n >> k;
		vector <int> c(n);
		for ( j=0; j<n; j++)
			cin >>c[j];
		j=0; s=k-1; max=c[s];
		for ( j=s; j<n; j++)
		{
			a=s+k;
			if (j<=a)
			{
				if(c[j]>max)
				{
					max=c[j];
					s=j;
				}
			}
			else
				j=n;
		}
		cout<< s+1 << endl;
	}
	return 0;
}


/*
2
5 2
4 4 3 1 4
5 3
4 4 3 1 4
*/